Get details of a specific platform information entry
Platform information entries describe per-platform port maps, minimum resource requirements, and port configuration used to configure hardware platform-specific behavior.
Required scope: air:image_read (roles: air_image_publisher, air_image_uploader, air_org_admin, air_user)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
id
A UUID string identifying this platform information.
Response
id
created
modified
creator
The username of the user who created this platform information entry.
model
The platform model to which this information applies.
port_map
Mapping of speed modes to port label entries.
platform_information_version
Version string for this platform information entry.
ports_config
Port configuration.
os_type
OS family identifier (e.g. sonic, nvos). Exactly one of os_type or emulation_type must be set; the other is null.
emulation_type
The type of simulation engine to which this information applies. Exactly one of os_type or emulation_type must be set; the other is null.
vars
Free-form key-value variables. Values are stored as text.
simulator_config
Free-form simulator configuration dictionary.
minimum_resources
Minimum resource requirements.
Errors
403
Forbidden Error
404
Not Found Error
500
Internal Server Error